% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/helper_functions.R
\name{Un_tilde}
\alias{Un_tilde}
\title{Anytime-valid upper confidence limit for the probability parameter of a
sample from the binomial distribution, based on construction of Robbins
(1970).}
\usage{
Un_tilde(S, n, epsilon)
}
\arguments{
\item{S}{number of successes}

\item{n}{number of trials}

\item{epsilon}{significance level of the confidence sequence}
}
\value{
Upper confidence limit
}
\description{
Anytime-valid upper confidence limit for the probability parameter of a
sample from the binomial distribution, based on construction of Robbins
(1970).
}
\note{
Produces estimates at a precision of .Machine$double.eps^0.5. As a
result, for very large values of n, inverting the result of this function
via invert.ptilde may not accurately recover S.
}
\keyword{internal}
