% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/helper_functions.R
\name{invert_Un_tilde}
\alias{invert_Un_tilde}
\title{Finds the number of successes S based on the upper limit of the confidence
sequence vased on the construction by Robbins (1970) (e.g. via the function
Un_tilde()).}
\usage{
invert_Un_tilde(Un_tilde, n, epsilon)
}
\arguments{
\item{Un_tilde}{Upper confidence limit of the confidence sequence by Robbins
(1970).}

\item{n}{number of Monte-Carlo samples used.}

\item{epsilon}{resampling risk of the p-value estimate ptilde.}
}
\value{
Value of S (i.e. the number of successes giving rise to this upper
confidence limit at this sample size and value of epsilon)
}
\description{
Finds the number of successes S based on the upper limit of the confidence
sequence vased on the construction by Robbins (1970) (e.g. via the function
Un_tilde()).
}
\note{
For rounded values of ptilde, the ensuing value of S may be inaccurate.
}
\keyword{internal}
